/**
 * Extending the sub menu of the navigation is hard work.
 * This is those style. Are those styles. 2.30am.
 */

// If there are two containers, it means we have
// triggered a sub menu extension. genius.

// Hidden below laptop size
.sub-menu--extension{
  display: none;
}

@include wider-than( laptop ) {
  // Sub menu
  .sub-menu {
    &--container {
      @include count-is(2){
        &:first-child{
          @include span( 8, 12, 1rem );
          .sub-menu--column{
            flex: 1 0 7rem;
          }
        }

        &:last-child{
          @include span( 4, 12, 1rem, $last:true );
          float: right;
        }
      }
    }

    // Title above
    &--extension{
      display: inline-block;
      &--title {
        font-weight: 600;
        font-size: 1.25rem;
      }
    }

    // Products
    &--products {
      ul.products{
        li.product{

          @include span( 6, 12, 1rem );
          min-height: 15rem;

          &:nth-of-type(even){
            margin-right: 0;
            clear: right;
          }

          border: 0;

          h3, h4, .span.price {
            font-size: 0.8rem;
            margin-bottom: 0.5rem;
          }

          a { padding: 0; }

          img{
            max-height: 10rem;
            height: 10rem;
            background-color: white;
          }
        }
      }
    }
  }
}